Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class SortHintHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.ElementDetailHandle
          org.eclipse.birt.report.model.api.ValueHandle
              org.eclipse.birt.report.model.api.StructureHandle
                  org.eclipse.birt.report.model.api.SortHintHandle

    public class SortHintHandle

extends StructureHandle

This class represents sort hint handle.

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.StructureHandle
`structContext`

Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`elementHandle`

Constructor Summary
`SortHintHandle(SimpleValueHandle valueHandle, int index)`

Method Summary
`java.lang.String` | `getColumnName()` Gets the column name.
`java.lang.String` | `getDirection()` Gets the sort direction of this result set column.
`java.lang.String` | `getNullValueOrdering()` Gets the null value ordering.
`int` | `getPosition()` Gets the index position of a result set column.
`boolean` | `isOptional()` Indicates whether this sort key can be excluded at runtime.
`void` | `setColumnName(java.lang.String columnName)` Sets the column Name.
`void` | `setDirection(java.lang.String direction)` Sets the direction value.
`void` | `setNullValueOrdering(java.lang.String nullValueOrdering)` Sets the null value ordering.
`void` | `setOptional(boolean isOptional)` Sets the isOptional value.
`void` | `setPosition(int position)` Sets the index position of a result set column.

Methods inherited from class org.eclipse.birt.report.model.api.StructureHandle
`drop, getContext, getDefn, getExpressionProperty, getExternalizedValue, getExternalizedValue, getIntProperty, getMember, getProperty, getPropertyDefn, getStringProperty, getStructure, isDesignTime, iterator, setDesignTime, setExpressionProperty, setProperty, setPropertySilently`

Methods inherited from class org.eclipse.birt.report.model.api.ValueHandle
`getReference`

Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`getDesign, getElement, getElementHandle, getModule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SortHintHandle

    public SortHintHandle(SimpleValueHandle valueHandle,
                          int index)

Parameters:
  `valueHandle` - the value handle for computed column list of one property
  `index` - the position in the list.

Method Detail

### getColumnName

    public java.lang.String getColumnName()

  Gets the column name.

  Returns:
    the column name.

### setColumnName

    public void setColumnName(java.lang.String columnName)
                       throws SemanticException

  Sets the column Name.

  Parameters:
    `columnName` - the column name.
  Throws:
    `SemanticException`

### getPosition

    public int getPosition()

  Gets the index position of a result set column.

  Returns:
    the index position of a result set column.

### setPosition

    public void setPosition(int position)
                     throws SemanticException

  Sets the index position of a result set column.

  Parameters:
    `position` - the index position of a result set column.
  Throws:
    `SemanticException`

### getDirection

    public java.lang.String getDirection()

  Gets the sort direction of this result set column. The possible values are define in `DesignChoiceConstants`, and they are:
  - SORT_DIRECTION_ASC
  - SORT_DIRECTION_DESC

  Returns:
    the sort direction of this result set column.

### setDirection

    public void setDirection(java.lang.String direction)
                      throws SemanticException

  Sets the direction value. It indicates the sort direction of this result set column. The possible values are define in `DesignChoiceConstants`, and they are:
  - SORT_DIRECTION_ASC
  - SORT_DIRECTION_DESC

  Parameters:
    `direction` - the sort direction of this result set column.
  Throws:
    `SemanticException`

### getNullValueOrdering

    public java.lang.String getNullValueOrdering()

  Gets the null value ordering. It indicates the ordering of null vs. non-null values in the sort order. The possible values are define in `DesignChoiceConstants`, and they are:
  - NULL_VALUE_ORDERING_TYPE_UNKNOWN
  - NULL_VALUE_ORDERING_TYPE_NULLISFIRST
  - NULL_VALUE_ORDERING_TYPE_NULLISLAST

  Returns:
    the null value ordering.

### setNullValueOrdering

    public void setNullValueOrdering(java.lang.String nullValueOrdering)
                              throws SemanticException

  Sets the null value ordering. It indicates the ordering of null vs. non-null values in the sort order. The possible values are define in `DesignChoiceConstants`, and they are:
  - NULL_VALUE_ORDERING_TYPE_UNKNOWN
  - NULL_VALUE_ORDERING_TYPE_NULLISFIRST
  - NULL_VALUE_ORDERING_TYPE_NULLISLAST

  Parameters:
    `nullValueOrdering` - the null value ordering.
  Throws:
    `SemanticException`

### isOptional

    public boolean isOptional()

  Indicates whether this sort key can be excluded at runtime.

  Returns:
    if this sort key can be excluded at runtime, otherwise return .

### setOptional

    public void setOptional(boolean isOptional)

  Sets the isOptional value.

  Parameters:
    `isOptional` - if this sort key can be excluded at runtime, otherwise return .

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.